# ThemeFontStyle(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ThemeFontStyle`(bpy_struct)

  Theme settings for Font

  `font_kerning_style`

    Which style to use for font kerning

    - `UNFITTED` Unfitted, Use scaled but un-grid-fitted kerning distances.
    - `FITTED` Fitted, Use scaled and grid-fitted kerning distances.

    Type: | enum in [‘UNFITTED’, ‘FITTED’], default ‘UNFITTED’

  `points`

    Type: | int in [6, 48], default 0

  `shadow`

    Shadow size (0, 3 and 5 supported)

    Type: | int in [0, 5], default 0

  `shadow_alpha`

    Type: | float in [0, 1], default 0.0

  `shadow_offset_x`

    Shadow offset in pixels

    Type: | int in [-10, 10], default 0

  `shadow_offset_y`

    Shadow offset in pixels

    Type: | int in [-10, 10], default 0

  `shadow_value`

    Shadow color in gray value

    Type: | float in [0, 1], default 0.0

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ThemeStyle.panel_title` `ThemeStyle.widget` | `ThemeStyle.widget_label`